SimpleFSDirectory (Lucene 3.6.2 API)
Keywords: org.apache.lucene.store.SimpleFSDirectory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store
Class SimpleFSDirectory

    java.lang.Object
      org.apache.lucene.store.Directory
          org.apache.lucene.store.FSDirectory
              org.apache.lucene.store.SimpleFSDirectory

All Implemented Interfaces:
  Closeable

    public class SimpleFSDirectory

extends FSDirectory

A straightforward implementation of `FSDirectory` using java.io.RandomAccessFile. However, this class has poor concurrent performance (multiple threads will bottleneck) as it synchronizes when multiple threads read from the same file. It's usually better to use `NIOFSDirectory` or `MMapDirectory` instead.

Nested Class Summary
`protected static class` | `SimpleFSDirectory.SimpleFSIndexInput`

Nested classes/interfaces inherited from class org.apache.lucene.store.FSDirectory
`FSDirectory.FSIndexOutput`

Field Summary

Fields inherited from class org.apache.lucene.store.FSDirectory
`DEFAULT_READ_CHUNK_SIZE, directory, staleFiles`

Fields inherited from class org.apache.lucene.store.Directory
`isOpen, lockFactory`

Constructor Summary
`SimpleFSDirectory(File path)` Create a new SimpleFSDirectory for the named location and `NativeFSLockFactory`.
`SimpleFSDirectory(File path, LockFactory lockFactory)` Create a new SimpleFSDirectory for the named location.

Method Summary
`IndexInput` | `openInput(String name, int bufferSize)` Creates an IndexInput for the file with the given name.

Methods inherited from class org.apache.lucene.store.FSDirectory
`close, createOutput, deleteFile, ensureCanWrite, fileExists, fileLength, fileModified, fileModified, fsync, getDirectory, getFile, getLockID, getReadChunkSize, listAll, listAll, onIndexOutputClosed, open, open, openInput, setLockFactory, setReadChunkSize, sync, sync, toString, touchFile`

Methods inherited from class org.apache.lucene.store.Directory
`clearLock, copy, copy, ensureOpen, getLockFactory, makeLock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleFSDirectory

    public SimpleFSDirectory(File path,
                             LockFactory lockFactory)
                      throws IOException

  Create a new SimpleFSDirectory for the named location.

  Parameters:
    `path` - the path of the directory
    `lockFactory` - the lock factory to use, or null for the default (`NativeFSLockFactory`);
  Throws:
    `IOException`

### SimpleFSDirectory

    public SimpleFSDirectory(File path)
                      throws IOException

  Create a new SimpleFSDirectory for the named location and `NativeFSLockFactory`.

  Parameters:
    `path` - the path of the directory
  Throws:
    `IOException`

Method Detail

### openInput

    public IndexInput openInput(String name,
                                int bufferSize)
                         throws IOException

  Creates an IndexInput for the file with the given name.

  Overrides:
    `openInput` in class `Directory`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD